<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Policy checklist for upgrading your packages - The checklist</title>

<link href="index.html" rel="start">
<link href="ch1.html" rel="prev">
<link href="index.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About the checklist">
<link href="ch2.html" rel="chapter" title="2 The checklist">

</head>

<body>

<p><a name="ch2"></a></p>
<hr>

<p>
[ <a href="ch1.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ 2 ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<h1>
Policy checklist for upgrading your packages
<br>Chapter 2 - The checklist
</h1>

<hr>

<h2 id="s-3.9.8.0">2.1 Version 3.9.8.0</h2>

<p>
Released February, 2016.
</p>
<dl>
<dt>9.6</dt>
<dd>
<p>
The menu system is deprecated in favor of the Free Desktop menu standard.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.7.0">2.2 Version 3.9.7.0</h2>

<p>
Released February, 2016.
</p>
<dl>
<dt>10.5</dt>
<dd>
<p>
Symbolic links must not traverse above the root directory.
</p>
</dd>
</dl>
<dl>
<dt>9.2.2</dt>
<dd>
<p>
32bit UIDs in the range 65536-4294967293 are reserved for dynamically allocated
user accounts.
</p>
</dd>
</dl>
<dl>
<dt>5.1</dt>
<dd>
<p>
Empty field values in control files are only permitted in the
<code>debian/control</code> file of a source package.
</p>
</dd>
</dl>
<dl>
<dt>4.9</dt>
<dd>
<p>
<code>debian/rules</code>: required targets must not attempt network access.
</p>
</dd>
</dl>
<dl>
<dt>12.3</dt>
<dd>
<p>
recommend to ship additional documentation for package <code>pkg</code> in a
separate package <code>pkg-doc</code> and install it into
<code>/usr/share/doc/pkg</code>.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.6.0">2.3 Version 3.9.6.0</h2>

<p>
Released September, 2014.
</p>
<dl>
<dt>9.1</dt>
<dd>
<p>
The FHS is relaxed to allow a subdirectory of <code>/usr/lib</code> to hold a
mixture of architecture-independent and architecture-dependent files, though
directories entirely composed of architecture-independent files should be
located in <code>/usr/share</code>.
</p>
</dd>
</dl>
<dl>
<dt>9.1</dt>
<dd>
<p>
The FHS requirement for <code>/usr/local/lib64</code> to exist if
<code>/lib64</code> or <code>/usr/lib64</code> exists is removed.
</p>
</dd>
</dl>
<dl>
<dt>9.1</dt>
<dd>
<p>
An FHS exception has been granted for multiarch include files, permitting
header files to instead be installed to <code>/usr/include/triplet</code>.
</p>
</dd>
</dl>
<dl>
<dt>10.1</dt>
<dd>
<p>
Binaries must not be statically linked with the GNU C library, see policy for
exceptions.
</p>
</dd>
</dl>
<dl>
<dt>4.4</dt>
<dd>
<p>
It is clarified that signature appearing in debian/changelog should be the
details of the person who prepared this release of the package.
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
The default web document root is now <code>/var/www/html</code>
</p>
</dd>
</dl>
<dl>
<dt>virtual</dt>
<dd>
<p>
<samp>java1-runtime</samp> and <samp>java2-runtime</samp> are removed,
<samp>javaN-runtime</samp> and <samp>javaN-runtime-headless</samp> are added
for all N between 5 and 9.
</p>
</dd>
</dl>
<dl>
<dt>virtual</dt>
<dd>
<p>
Added <samp>httpd-wsgi</samp> for WSGI capable HTTP servers.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
Perl packages should use the <samp>%Config</samp> hash to locate module paths
instead of hardcoding paths in <samp>@INC</samp>.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
Perl binary modules and any modules installed into
<samp>$Config{vendorarch}</samp> must depend on the relevant
<code>perlapi-*</code> package.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.5.0">2.4 Version 3.9.5.0</h2>

<p>
Released October, 2013.
</p>
<dl>
<dt>5.1</dt>
<dd>
<p>
Control data fields must not start with the hyphen character (<samp>-</samp>),
to avoid potential confusions when parsing clearsigned control data files that
were not properly unescaped.
</p>
</dd>
</dl>
<dl>
<dt>5.4, 5.6.24</dt>
<dd>
<p>
<samp>Checksums-Sha1</samp> and <samp>Checksums-Sha256</samp> are now mandatory
in <code>.dsc</code> files.
</p>
</dd>
</dl>
<dl>
<dt>5.6.25, 5.8.1</dt>
<dd>
<p>
The <samp>DM-Upload-Allowed</samp> field is obsolete.  Permissions are now
granted via <em>dak-commands</em> files.
</p>
</dd>
</dl>
<dl>
<dt>5.6.27</dt>
<dd>
<p>
New section documenting the <samp>Package-List</samp> field in Debian source
control files.
</p>
</dd>
</dl>
<dl>
<dt>5.6.28</dt>
<dd>
<p>
New section documenting the <samp>Package-Type</samp> field in source package
control files.
</p>
</dd>
</dl>
<dl>
<dt>5.6.29</dt>
<dd>
<p>
New section documenting the <samp>Dgit</samp> field in Debian source control
files.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1.8</dt>
<dd>
<p>
The exception to the FHS for the <code>/selinux</code> was removed.
</p>
</dd>
</dl>
<dl>
<dt>10.7.3</dt>
<dd>
<p>
Packages should remove all obsolete configuration files without local changes
during upgrades.  The <code>dpkg-maintscript-helper</code> tool, available from
the <code>dpkg</code> package since <em>Wheezy</em>, can help with this.
</p>
</dd>
</dl>
<dl>
<dt>10.10</dt>
<dd>
<p>
The name of the files and directories installed by binary packages must be
encoded in UTF-8 and should be restricted to ASCII when possible.  In the
system PATH, they must be restricted to ASCII.
</p>
</dd>
</dl>
<dl>
<dt>11.5.2</dt>
<dd>
<p>
Stop recommending to serve HTML documents from
<code>/usr/share/doc/<var>package</var></code>.
</p>
</dd>
</dl>
<dl>
<dt>12.2</dt>
<dd>
<p>
Packages distributing Info documents should use <code>install-info</code>'s
trigger, and do not need anymore to depend on <samp>dpkg (&gt;= 1.15.4) |
install-info</samp>.
</p>
</dd>
</dl>
<dl>
<dt>debconf</dt>
<dd>
<p>
The <samp>escape</samp> capability is now documented.
</p>
</dd>
</dl>
<dl>
<dt>virtual</dt>
<dd>
<p>
<samp>mp3-decoder</samp> and <samp>mp3-encoder</samp> are removed.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.4.0">2.5 Version 3.9.4.0</h2>

<p>
Released August, 2012.
</p>
<dl>
<dt>2.4</dt>
<dd>
<p>
New <em>tasks</em> archive section.
</p>
</dd>
</dl>
<dl>
<dt>4.9</dt>
<dd>
<p>
<samp>build-arch</samp> and <samp>build-indep</samp> are now mandatory targets
in <code>debian/rules</code>.
</p>
</dd>
</dl>
<dl>
<dt>5.6.26</dt>
<dd>
<p>
New section documenting the <samp>Vcs-*</samp> fields, which are already in
widespread use.  Note the mechanism for specifying the Git branch used for
packaging in the Vcs-Git field.
</p>
</dd>
</dl>
<dl>
<dt>7.1</dt>
<dd>
<p>
The deprecated relations &lt; and &gt; now must not be used.
</p>
</dd>
</dl>
<dl>
<dt>7.8</dt>
<dd>
<p>
New <samp>Built-Using</samp> field, which must be used to document the source
packages for any binaries that are incorporated into this package at build
time.  This is used to ensure that the archive meets license requirements for
providing source for all binaries.
</p>
</dd>
</dl>
<dl>
<dt>8.6</dt>
<dd>
<p>
Policy for dependencies between shared libraries and other packages has been
largely rewritten to document the <samp>symbols</samp> system and more clearly
document handling of shared library ABI changes.  <code>symbols</code> files
are now recommended over <code>shlibs</code> files in most situations.  All
maintainers of shared library packages should review the entirety of this
section.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
Packages must not assume the <code>/run</code> directory exists or is usable
without a dependency on <samp>initscripts (&gt;= 2.88dsf-13.3)</samp> until the
stable release of Debian supports <code>/run</code>.
</p>
</dd>
</dl>
<dl>
<dt>9.7</dt>
<dd>
<p>
Packages including MIME configuration can now rely on triggers and do not need
to call update-mime.
</p>
</dd>
</dl>
<dl>
<dt>9.11</dt>
<dd>
<p>
New section documenting general requirements for alternate init systems and
specific requirements for integrating with upstart.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
All copyright files must be encoded in UTF-8.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.3.0">2.6 Version 3.9.3.0</h2>

<p>
Released February, 2012.
</p>
<dl>
<dt>2.4</dt>
<dd>
<p>
New archive sections <em>education</em>, <em>introspection</em>, and
<em>metapackages</em> added.
</p>
</dd>
</dl>
<dl>
<dt>5.6.8</dt>
<dd>
<p>
The <samp>Architecture</samp> field in <code>*.dsc</code> files may now contain
the value <samp>any all</samp> for source packages building both
architecture-independent and architecture-dependent packages.
</p>
</dd>
</dl>
<dl>
<dt>7.1</dt>
<dd>
<p>
If a dependency is restricted to particular architectures, the list of
architectures must be non-empty.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
<code>/run</code> is allowed as an exception to the FHS and replaces
<code>/var/run</code>.  <code>/run/lock</code> replaces <code>/var/lock</code>.
The FHS requirements for the older directories apply to these directories as
well.  Backward compatibility links will be maintained and packages need not
switch to referencing <code>/run</code> directly yet.  Files in
<code>/run</code> should be stored in a temporary file system.
</p>
</dd>
</dl>
<dl>
<dt>9.1.4</dt>
<dd>
<p>
New section spelling out the requirements for packages that use files in
<code>/run</code>, <code>/var/run</code>, or <code>/var/lock</code>.  This
generalizes information previously only in 9.3.2.
</p>
</dd>
</dl>
<dl>
<dt>9.5</dt>
<dd>
<p>
Cron job file names must not contain <samp>.</samp> or <samp>+</samp> or they
will be ignored by cron.  They should replace those characters with
<samp>_</samp>.  If a package provides multiple cron job files in the same
directory, they should each start with the package name (possibly modified as
above), <samp>-</samp>, and then some suitable suffix.
</p>
</dd>
</dl>
<dl>
<dt>9.10</dt>
<dd>
<p>
Packages using doc-base do not need to call install-docs anymore.
</p>
</dd>
</dl>
<dl>
<dt>10.7.4</dt>
<dd>
<p>
Packages that declare the same <samp>conffile</samp> may see left-over
configuration files from each other even if they conflict.
</p>
</dd>
</dl>
<dl>
<dt>11.8</dt>
<dd>
<p>
The Policy rules around Motif libraries were just a special case of normal
rules for non-free dependencies and were largely obsolete, so they have been
removed.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
<code>debian/copyright</code> is no longer required to list the Debian
maintainers involved in the creation of the package (although note that the
requirement to list copyright information is unchanged).
</p>
</dd>
</dl>
<dl>
<dt>copyright-format</dt>
<dd>
<p>
Version 1.0 of the &quot;Machine-readable <code>debian/copyright</code>
file&quot; specification is included.
</p>
</dd>
</dl>
<dl>
<dt>mime</dt>
<dd>
<p>
This separate document has been retired and and its (short) contents merged
into Policy section 9.7.  There are no changes to the requirements.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
Packages may declare an interest in the <var>perl-major-upgrade</var> trigger
to be notified of major upgrades of perl.
</p>
</dd>
</dl>
<dl>
<dt>virtual</dt>
<dd>
<p>
<samp>ttf-japanese-{mincho, gothic}</samp> is renamed to
<samp>fonts-japanese-{mincho, gothic}</samp>.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.2.0">2.7 Version 3.9.2.0</h2>

<p>
Released April, 2011.
</p>
<dl>
<dt>*</dt>
<dd>
<p>
Multiple clarifications throughout Policy where &quot;installed&quot; was used
and the more precise terms &quot;unpacked&quot; or &quot;configured&quot; were
intended.
</p>
</dd>
</dl>
<dl>
<dt>3.3</dt>
<dd>
<p>
The maintainer address must accept mail from Debian role accounts and the BTS.
At least one human must be listed with their personal email address in
<samp>Uploaders</samp> if the maintainer is a shared email address.  The duties
of a maintainer are also clearer.
</p>
</dd>
</dl>
<dl>
<dt>5</dt>
<dd>
<p>
All control fields are now classified as simple, folded, or multiline, which
governs whether their values must be a single line or may be continued across
multiple lines and whether line breaks are significant.
</p>
</dd>
</dl>
<dl>
<dt>5.1</dt>
<dd>
<p>
Parsers are allowed to accept paragraph separation lines containing whitespace,
but control files should use completely empty lines.  Ordering of paragraphs is
significant.  Field names must be composed of printable ASCII characters except
colon and must not begin with #.
</p>
</dd>
</dl>
<dl>
<dt>5.6.25</dt>
<dd>
<p>
The <samp>DM-Upload-Allowed</samp> field is now documented.
</p>
</dd>
</dl>
<dl>
<dt>6.5</dt>
<dd>
<p>
The system state maintainer scripts can rely upon during each possible
invocation is now documented.  In several less-common cases, this is stricter
than Policy had previously documented.  Packages with complex maintainer
scripts should be reviewed in light of this new documentation.
</p>
</dd>
</dl>
<dl>
<dt>7.2</dt>
<dd>
<p>
The impact on system state when maintainer scripts that are part of a circular
dependency are run is now documented.  Circular dependencies are now a should
not.
</p>
</dd>
</dl>
<dl>
<dt>7.2</dt>
<dd>
<p>
The system state when <code>postinst</code> and <code>prerm</code> scripts are
run is now documented, and the documentation of the special case of dependency
state for <code>postrm</code> scripts has been improved.  <code>postrm</code>
scripts are required to gracefully skip actions if their dependencies are not
available.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
GNU/Hurd systems are allowed <code>/hurd</code> and <code>/servers</code>
directories in the root filesystem.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
Packages installing to architecture-specific subdirectories of
<code>/usr/lib</code> must use the value returned by <code>dpkg-architecture
-qDEB_HOST_MULTIARCH</code>, not by <code>dpkg-architecture
-qDEB_HOST_GNU_TYPE</code>; this is a path change on i386 architectures and a
no-op for other architectures.
</p>
</dd>
</dl>
<dl>
<dt>virtual</dt>
<dd>
<p>
<samp>mailx</samp> is now a virtual package provided by packages that install
<code>/usr/bin/mailx</code> and implement at least the POSIX-required
interface.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.1.0">2.8 Version 3.9.1.0</h2>

<p>
Released July, 2010.
</p>
<dl>
<dt>3.2.1</dt>
<dd>
<p>
Date-based version components should be given as the four-digit year, two-digit
month, and then two-digit day, but may have embedded punctuation.
</p>
</dd>
</dl>
<dl>
<dt>3.9</dt>
<dd>
<p>
Maintainer scripts must pass <samp>--package</samp> to <code>dpkg-divert</code>
when creating or removing diversions and must not use <samp>--local</samp>.
</p>
</dd>
</dl>
<dl>
<dt>4.10</dt>
<dd>
<p>
Only <code>dpkg-gencontrol</code> supports variable substitution.
<code>dpkg-genchanges</code> (for <code>*.changes</code>) and
<code>dpkg-source</code> (for <code>*.dsc</code>) do not.
</p>
</dd>
</dl>
<dl>
<dt>7.1</dt>
<dd>
<p>
Architecture restrictions and wildcards are also allowed in binary package
relationships provided that the binary package is not architecture-independent.
</p>
</dd>
</dl>
<dl>
<dt>7.4</dt>
<dd>
<p>
<samp>Conflicts</samp> and <samp>Breaks</samp> should only be used when there
are file conflicts or one package breaks the other, not just because two
packages provide similar functionality but don't interfere.
</p>
</dd>
</dl>
<dl>
<dt>8.1</dt>
<dd>
<p>
The SONAME of a library should change whenever the ABI of the library changes
in a way that isn't backward-compatible.  It should not change if the library
ABI changes are backward-compatible.  Discourage bundling shared libraries
together in one package.
</p>
</dd>
</dl>
<dl>
<dt>8.4</dt>
<dd>
<p>
Ada Library Information (<code>*.ali</code>) files must be installed read-only.
</p>
</dd>
</dl>
<dl>
<dt>8.6.1, 8.6.2, 8.6.5</dt>
<dd>
<p>
Packages should normally not include a <code>shlibs.local</code> file since we
now have complete <code>shlibs</code> coverage.
</p>
</dd>
</dl>
<dl>
<dt>8.6.3</dt>
<dd>
<p>
The SONAME of a library may instead be of the form
<samp><var>name</var>-<var>major-version</var>.so</samp>.
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
Libtool <code>.la</code> files should not be installed for public libraries.
If they're required (for <samp>libltdl</samp>, for instance), the
<samp>dependency_libs</samp> setting should be emptied.  Library packages
historically including <code>.la</code> files must continue to include them
(with <samp>dependency_libs</samp> emptied) until all libraries that depend on
that library have removed or emptied their <code>.la</code> files.
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
Libraries no longer need to be built with <samp>-D_REENTRANT</samp>, which was
an obsolete LinuxThreads requirement.  Instead, say explicitly that libraries
should be built with threading support and to be thread-safe if the library
supports this.
</p>
</dd>
</dl>
<dl>
<dt>10.4</dt>
<dd>
<p>
<code>/bin/sh</code> scripts may assume that <code>kill</code> supports an
argument of <samp>-<var>signal</var></samp>, that <code>kill</code> and
<code>trap</code> support the numeric signals listed in the XSI extension, and
that signal 13 (SIGPIPE) can be trapped with <code>trap</code>.
</p>
</dd>
</dl>
<dl>
<dt>10.8</dt>
<dd>
<p>
Use of <code>/etc/logrotate.d/<var>package</var></code> for logrotate rules is
now recommended.
</p>
</dd>
</dl>
<dl>
<dt>10.9</dt>
<dd>
<p>
Control information files should be owned by <samp>root:root</samp> and either
mode 644 or mode 755.
</p>
</dd>
</dl>
<dl>
<dt>11.4, 11.8.3, 11.8.4</dt>
<dd>
<p>
Packages providing alternatives for <code>editor</code>, <code>pager</code>,
<code>x-terminal-emulator</code>, or <code>x-window-manager</code> should also
provide a slave alternative for the corresponding manual page.
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
Cgi-bin executable files may be installed in subdirectories of
<code>/usr/lib/cgi-bin</code> and web servers should serve out executables in
those subdirectories.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
The GPL version 1 is now included in common-licenses and should be referenced
from there instead of included in the <code>copyright</code> file.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.9.0.0">2.9 Version 3.9.0.0</h2>

<p>
Released June, 2010.
</p>
<dl>
<dt>4.4, 5.6.15</dt>
<dd>
<p>
The required format for the date in a changelog entry and in the Date control
field is now precisely specified.
</p>
</dd>
</dl>
<dl>
<dt>5.1</dt>
<dd>
<p>
A control paragraph must not contain more than one instance of a particular
field name.
</p>
</dd>
</dl>
<dl>
<dt>5.4, 5.5, 5.6.24</dt>
<dd>
<p>
The <samp>Checksums-Sha1</samp> and <samp>Checksums-Sha256</samp> fields in
<code>*.dsc</code> and <code>*.changes</code> files are now documented and
recommended.
</p>
</dd>
</dl>
<dl>
<dt>5.5, 5.6.16</dt>
<dd>
<p>
The <samp>Format</samp> field of <code>.changes</code> files is now 1.8.  The
<samp>Format</samp> field syntax for source package <code>.dsc</code> files
allows a subtype in parentheses, and it is used for a different purpose than
the <samp>Format</samp> field for <code>.changes</code> files.
</p>
</dd>
</dl>
<dl>
<dt>5.6.2</dt>
<dd>
<p>
The syntax of the <samp>Maintainer</samp> field is now must rather than should.
</p>
</dd>
</dl>
<dl>
<dt>5.6.3</dt>
<dd>
<p>
The comma separating entries in <samp>Uploaders</samp> is now must rather than
should.
</p>
</dd>
</dl>
<dl>
<dt>5.6.8, 7.1, 11.1.1</dt>
<dd>
<p>
Architecture wildcards may be used in addition to specific architectures in
<code>debian/control</code> and <code>*.dsc</code> Architecture fields, and in
architecture restrictions in build relationships.
</p>
</dd>
</dl>
<dl>
<dt>6.3</dt>
<dd>
<p>
Maintainer scripts are no longer guaranteed to run with a controlling terminal
and must be able to fall back to noninteractive behavior (debconf handles
this).  Maintainer scripts may abort if there is no controlling terminal and no
reasonable default for a high-priority question, but should avoid this if
possible.
</p>
</dd>
</dl>
<dl>
<dt>7.3, 7.6.1</dt>
<dd>
<p>
<samp>Breaks</samp> should be used with <samp>Replaces</samp> for moving files
between packages.
</p>
</dd>
</dl>
<dl>
<dt>7.4</dt>
<dd>
<p>
<samp>Breaks</samp> should normally be used instead of <samp>Conflicts</samp>
for transient issues and moving files between packages.  New documentation of
when each should be used.
</p>
</dd>
</dl>
<dl>
<dt>7.5</dt>
<dd>
<p>
Use <samp>Conflicts</samp> with <samp>Provides</samp> if only one provider of a
virtual facility can be installed at a time.
</p>
</dd>
</dl>
<dl>
<dt>8.4</dt>
<dd>
<p>
All shared library development files are no longer required to be in the
<samp>-dev</samp> package, only be available when the <samp>-dev</samp> package
is installed.  This allows the <samp>-dev</samp> package to be split as long as
it depends on the additional packages.
</p>
</dd>
</dl>
<dl>
<dt>9.2.2</dt>
<dd>
<p>
The UID range of user accounts is extended to 1000-59999.
</p>
</dd>
</dl>
<dl>
<dt>9.3.2, 10.4</dt>
<dd>
<p>
<code>init.d</code> scripts are a possible exception from the normal
requirement to use <samp>set -e</samp> in each shell script.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
The UCB BSD license was removed from the list of licenses that should be
referenced from <code>/usr/share/common-licenses/BSD</code>.  It should instead
be included directly in <code>debian/copyright</code>, although it will still
be in common-licenses for the time being.
</p>
</dd>
</dl>
<dl>
<dt>debconf</dt>
<dd>
<p>
<samp>SETTITLE</samp> is now documented (it has been supported for some time).
<samp>SETTITLE</samp> is like <samp>TITLE</samp> but takes a template instead
of a string to allow translation.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
<code>perl-base</code> now provides <code>perlapi-<var>abiname</var></code>
instead of a package based solely on the Perl version.  Perl packages must now
depend on <code>perlapi-$Config{debian_abi}</code>, falling back on
<samp>$Config{version}</samp> if <samp>$Config{debian_abi}</samp> is not set.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
Packages using <code>Makefile.PL</code> should use <samp>DESTDIR</samp> rather
than <samp>PREFIX</samp> to install into the package staging area.
<samp>PREFIX</samp> only worked due to a Debian-local patch.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.8.4.0">2.10 Version 3.8.4.0</h2>

<p>
Release Jan 2010.
</p>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
An FHS exception has been granted for multiarch libraries.  Permitting files to
instead be installed to <code>/lib/triplet</code> and
<code>/usr/lib/triplet</code> directories.
</p>
</dd>
</dl>
<dl>
<dt>10.6</dt>
<dd>
<p>
Packages may not contain named pipes and should instead create them in postinst
and remove them in prerm or postrm.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
<code>/sys</code> and <code>/selinux</code> directories are explicitly allowed
as an exception to the FHS.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.8.3.0">2.11 Version 3.8.3.0</h2>

<p>
Released Aug 2009.
</p>
<dl>
<dt>4.9</dt>
<dd>
<p>
DEB_*_ARCH_CPU and DEB_*_ARCH_OS variables are now documented and recommended
over GNU-style variables for that information.
</p>
</dd>
</dl>
<dl>
<dt>5.6.8</dt>
<dd>
<p>
Source package Architecture fields may contain <em>all</em> in combination with
other architectures.  Clarify when <em>all</em> and <em>any</em> may be used in
different versions of the field.
</p>
</dd>
</dl>
<dl>
<dt>5.6.14</dt>
<dd>
<p>
The Debian archive software does not support uploading to multiple
distributions with one <code>*.changes</code> file.
</p>
</dd>
</dl>
<dl>
<dt>5.6.19</dt>
<dd>
<p>
The Binary field may span multiple lines.
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
Shared library packages are no longer allowed to install libraries in a
non-standard location and modify <code>ld.so.conf</code>.  Packages should
either be installed in a standard library directory or packages using them
should be built with RPATH.
</p>
</dd>
</dl>
<dl>
<dt>11.8.7</dt>
<dd>
<p>
Installation directories for X programs have been clarified.  Packages are no
longer required to pre-depend on x11-common before installing into
<code>/usr/include/X11</code> and <code>/usr/lib/X11</code>.
</p>
</dd>
</dl>
<dl>
<dt>12.1</dt>
<dd>
<p>
Manual pages are no longer required to contain only characters representable in
the legacy encoding for that language.
</p>
</dd>
</dl>
<dl>
<dt>12.1</dt>
<dd>
<p>
Localized man pages should either be kept up-to-date with the original version
or warn that they're not up-to-date, either with warning text or by showing
missing or changed portions in the original language.
</p>
</dd>
</dl>
<dl>
<dt>12.2</dt>
<dd>
<p>
install-info is now handled via triggers so packages no longer need to invoke
it in maintainer scripts.  Info documents should now have directory sections
and entries in the document.  Packages containing info documents should add a
dependency to support partial upgrades.
</p>
</dd>
</dl>
<dl>
<dt>perl</dt>
<dd>
<p>
The requirement for Perl modules to have a versioned Depend and Build-Depend on
<samp>perl &gt;= 5.6.0-16</samp> has been removed.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.8.2.0">2.12 Version 3.8.2.0</h2>

<p>
Released Jun 2009.
</p>
<dl>
<dt>2.4</dt>
<dd>
<p>
The list of archive sections has been significantly expanded.  See <code><a
href="http://lists.debian.org/debian-devel-announce/2009/03/msg00010.html">this
debian-devel-announce message</a></code> for the list of new sections and rules
for how to categorize packages.
</p>
</dd>
</dl>
<dl>
<dt>3.9.1</dt>
<dd>
<p>
All packages must use debconf or equivalent for user prompting, though
essential packages or their dependencies may also fall back on other methods.
</p>
</dd>
</dl>
<dl>
<dt>5.6.1</dt>
<dd>
<p>
The requirements for source package names are now explicitly spelled out.
</p>
</dd>
</dl>
<dl>
<dt>9.1</dt>
<dd>
<p>
Legacy XFree86 servers no longer get a special exception from the FHS
permitting <code>/etc/X11/XF86Config-4</code>.
</p>
</dd>
</dl>
<dl>
<dt>9.1.3</dt>
<dd>
<p>
Removed obsolete dependency requirements for packages that use
<code>/var/mail</code>.
</p>
</dd>
</dl>
<dl>
<dt>11.8.5</dt>
<dd>
<p>
Speedo fonts are now deprecated.  The X backend was disabled starting in lenny.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
The GNU Free Documentation License version 1.3 is included in common-licenses
and should be referenced from there.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.8.1.0">2.13 Version 3.8.1.0</h2>

<p>
Released Mar 2009.
</p>
<dl>
<dt>3.8</dt>
<dd>
<p>
Care should be taken when adding functionality to essential and such additions
create an obligation to support that functionality in essential forever unless
significant work is done.
</p>
</dd>
</dl>
<dl>
<dt>4.4</dt>
<dd>
<p>
Changelog files must be encoded in UTF-8.
</p>
</dd>
</dl>
<dl>
<dt>4.4</dt>
<dd>
<p>
Some format requirements for changelog files are now &quot;must&quot; instead
of &quot;should.&quot;
</p>
</dd>
</dl>
<dl>
<dt>4.4.1</dt>
<dd>
<p>
Alternative changelog formats have been removed.  Debian only supports one
changelog format for the Debian Archive.
</p>
</dd>
</dl>
<dl>
<dt>4.9.1</dt>
<dd>
<p>
New nocheck option for DEB_BUILD_OPTIONS indicating any build-time test suite
provided by the package should not be run.
</p>
</dd>
</dl>
<dl>
<dt>5.1</dt>
<dd>
<p>
All control files must be encoded in UTF-8.
</p>
</dd>
</dl>
<dl>
<dt>5.2</dt>
<dd>
<p>
<code>debian/control</code> allows comment lines starting with # with no
preceding whitespace.
</p>
</dd>
</dl>
<dl>
<dt>9.3</dt>
<dd>
<p>
Init scripts ending in .sh are not handled specially.  They are not sourced and
are not guaranteed to be run by <code>/bin/sh</code> regardless of the #!
line.  This brings Policy in line with the long-standing behavior of the init
system in Debian.
</p>
</dd>
</dl>
<dl>
<dt>9.3.2</dt>
<dd>
<p>
The start action of an init script must exit successfully and not start the
daemon again if it's already running.
</p>
</dd>
</dl>
<dl>
<dt>9.3.2</dt>
<dd>
<p>
<code>/var/run</code> and <code>/var/lock</code> may be mounted as temporary
filesystems, and init scripts must therefore create any necessary
subdirectories dynamically.
</p>
</dd>
</dl>
<dl>
<dt>10.4</dt>
<dd>
<p>
<code>/bin/sh</code> scripts may assume that local can take multiple variable
arguments and supports assignment.
</p>
</dd>
</dl>
<dl>
<dt>11.6</dt>
<dd>
<p>
User mailboxes may be mode 600 and owned by the user rather than mode 660,
owned by user, and group mail.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.8.0.0">2.14 Version 3.8.0.0</h2>

<p>
Released Jun 2008.
</p>
<dl>
<dt>2.4, 3.7</dt>
<dd>
<p>
The base section has been removed.  contrib and non-free have been removed from
the section list; they are only categories.  The base system is now defined by
priority.
</p>
</dd>
</dl>
<dl>
<dt>4.9</dt>
<dd>
<p>
If <code>dpkg-source -x</code> doesn't provide the source that will be
compiled, a debian/rules patch target is recommended and should do whatever
else is necessary.
</p>
</dd>
</dl>
<dl>
<dt>4.9.1, 10.1</dt>
<dd>
<p>
Standardized the format of DEB_BUILD_OPTIONS.  Specified permitted characters
for tags, required that tags be whitespace-separated, allowed packages to
assume non-conflicting tags, and required unknown flags be ignored.
</p>
</dd>
</dl>
<dl>
<dt>4.9.1</dt>
<dd>
<p>
Added parallel=n to the standardized DEB_BUILD_OPTIONS tags, indicating that a
package should be built using up to n parallel processes if the package
supports it
</p>
</dd>
</dl>
<dl>
<dt>4.13</dt>
<dd>
<p>
Debian packages should not use convenience copies of code from other packages
unless the included package is explicitly intended to be used that way.
</p>
</dd>
</dl>
<dl>
<dt>4.14</dt>
<dd>
<p>
If dpkg-source -x doesn't produce source ready for editing and building with
dpkg-buildpackage, packages should include a <code>debian/README.source</code>
file explaining how to generate the patched source, add a new modification, and
remove an existing modification.  This file may also be used to document
packaging a new upstream release and any other complexity of the Debian build
process.
</p>
</dd>
</dl>
<dl>
<dt>5.6.3</dt>
<dd>
<p>
The Uploaders field in debian/control may be wrapped.
</p>
</dd>
</dl>
<dl>
<dt>5.6.12</dt>
<dd>
<p>
An empty Debian revision is equivalent to a Debian revision of 0 in a version
number.
</p>
</dd>
</dl>
<dl>
<dt>5.6.23</dt>
<dd>
<p>
New Homepage field for upstream web sites.
</p>
</dd>
</dl>
<dl>
<dt>6.5, 6.6, 7</dt>
<dd>
<p>
The Breaks field declares that this package breaks another and prevents
installation of the breaking package unless the package named in Breaks is
deconfigured first.  This field should not be used until the dpkg in Debian
stable supports it.
</p>
</dd>
</dl>
<dl>
<dt>8.1, 8.2</dt>
<dd>
<p>
Clarify which files should go into a shared library package, into a separate
package, or into the -dev package.  Suggest -tools instead of -runtime for
runtime support programs, since that naming is more common in Debian.
</p>
</dd>
</dl>
<dl>
<dt>9.5</dt>
<dd>
<p>
Files in <code>/etc/cron.{hourly,daily,weekly,monthly}</code> must be
configuration files (upgraded from should).  Mention the hourly directory.
</p>
</dd>
</dl>
<dl>
<dt>11.8.6</dt>
<dd>
<p>
Packages providing <code>/etc/X11/Xresources</code> files need not conflict
with <samp>xbase (&lt;&lt; 3.3.2.3a-2)</samp>, which is long-obsolete.
</p>
</dd>
</dl>
<dl>
<dt>12.1</dt>
<dd>
<p>
Manual pages in locale-specific directories should use either the legacy
encoding for that directory or UTF-8.  Country names should not be included in
locale-specific manual page directories unless indicating a significant
difference in the language.  All characters in the manual page source should be
representable in the legacy encoding for a locale even if the man page is
encoded in UTF-8.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
The Apache 2.0 license is now in common-licenses and should be referenced
rather than quoted in <code>debian/copyright</code>.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
Packages in contrib and non-free should state in the copyright file that the
package is not part of Debian GNU/Linux and briefly explain why.
</p>
</dd>
</dl>
<dl>
<dt>debconf</dt>
<dd>
<p>
Underscore (_) is allowed in debconf template names.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.7.3.0">2.15 Version 3.7.3.0</h2>

<p>
Released Dec 2007.
</p>
<dl>
<dt>5.6.12</dt>
<dd>
<p>
Package version numbers may contain tildes, which sort before anything, even
the end of a part.
</p>
</dd>
</dl>
<dl>
<dt>10.4</dt>
<dd>
<p>
Scripts may assume that <code>/bin/sh</code> supports local (at a basic level)
and that its test builtin (if any) supports -a and -o binary logical operators.
</p>
</dd>
</dl>
<dl>
<dt>8.5</dt>
<dd>
<p>
The substitution variable ${binary:Version} should be used in place of
${Source-Version} for dependencies between packages of the same library.
</p>
</dd>
</dl>
<dl>
<dt>menu policy</dt>
<dd>
<p>
Substantial reorganization and renaming of sections in the Debian menu
structure.  Packages with menu entries should be reviewed to see if the menu
section has been renamed or if one of the new sections would be more
appropriate.
</p>
</dd>
</dl>
<dl>
<dt>5.6.1</dt>
<dd>
<p>
The Source field in a .changes file may contain a version number in
parentheses.
</p>
</dd>
</dl>
<dl>
<dt>5.6.17</dt>
<dd>
<p>
The acceptable values for the Urgency field are low, medium, high, critical, or
emergency.
</p>
</dd>
</dl>
<dl>
<dt>8.6</dt>
<dd>
<p>
The shlibs file now allows an optional type field, indicating the type of
package for which the line is valid.  The only currently supported type is
udeb, used with packages for the Debian Installer.
</p>
</dd>
</dl>
<dl>
<dt>3.9.1</dt>
<dd>
<p>
Packages following the Debian Configuration management specification must allow
for translation of their messages by using a gettext-based system such as
po-debconf.
</p>
</dd>
</dl>
<dl>
<dt>12.5</dt>
<dd>
<p>
GFDL 1.2, GPL 3, and LGPL 3 are now in common-licenses and should be referenced
rather than quoted in debian/copyright.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.7.2.2">2.16 Version 3.7.2.2</h2>

<p>
Released Oct 2006.
</p>
<dl>
<dt>6.1</dt>
<dd>
<p>
Maintainer scripts must not be world writeable (up from a should to a must)
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.7.2.0">2.17 Version 3.7.2.0</h2>

<p>
Released Apr 2006.
</p>
<dl>
<dt>11.5</dt>
<dd>
<p>
Revert the cgi-lib change.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.7.1.0">2.18 Version 3.7.1.0</h2>

<p>
Released Apr 2006.
</p>
<dl>
<dt>10.2</dt>
<dd>
<p>
It is now possible to create shared libraries without relocatable code (using
-fPIC) in certain exceptional cases, provided some procedures are followed, and
for creating static libraries with relocatable code (again, using -fPIC).
Discussion on debian-devel@lists.debian.org, getting a rough consensus, and
documenting it in README.Debian constitute most of the process.
</p>
</dd>
</dl>
<dl>
<dt>11.8.7</dt>
<dd>
<p>
Packages should install any relevant files into the directories
<code>/usr/include/X11/</code> and <code>/usr/lib/X11/</code>, but if they do
so, they must pre-depend on <samp>x11-common (&gt;= 1:7.0.0)</samp>
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.7.0.0">2.19 Version 3.7.0.0</h2>

<p>
Released Apr 2006.
</p>
<dl>
<dt>11.5</dt>
<dd>
<p>
Packages shipping web server CGI files are expected to install them in
<code>/usr/lib/cgi-lib/</code> directories.  This location change perhaps
should be documented in NEWS
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
Web server packages should include a standard scriptAlias of cgi-lib to
<code>/usr/lib/cgi-lib</code>.
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
The version of FHS mandated by policy has been upped to 2.3.  There should be
no changes required for most packages, though new top level directories
<code>/media</code>, <code>/srv</code>, etc.  may be of interest.
</p>
</dd>
</dl>
<dl>
<dt>5.1, 5.6.3</dt>
<dd>
<p>
All fields, apart from the Uploaders field, in the control file are supposed to
be a single logical line, which may be spread over multiple physical lines
(newline followed by space is elided).  However, any parser for the control
file must allow the Uploaders field to be spread over multiple physical lines
as well, to prepare for future changes.
</p>
</dd>
</dl>
<dl>
<dt>10.4</dt>
<dd>
<p>
When scripts are installed into a directory in the system PATH, the script name
should not include an extension that denotes the scripting language currently
used to implement it.
</p>
</dd>
</dl>
<dl>
<dt>9.3.3.2</dt>
<dd>
<p>
packages that invoke initscripts now must use invoke-rc.d to do so since it
also pays attention to run levels and other local constraints.
</p>
</dd>
</dl>
<dl>
<dt>11.8.5.2, 11.8.7, etc</dt>
<dd>
<p>
We no longer use <code>/usr/X11R6</code>, since we have migrated away to using
Xorg paths.  This means, for one thing, fonts live in
<code>/usr/share/fonts/X11/</code> now, and <code>/usr/X11R6</code> is gone.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.6.2.0">2.20 Version 3.6.2.0</h2>

<p>
Released 2005
</p>
<dl>
<dt></dt>
<dd>
<p>
Recommend.  doc-base, and not menu, for registering package documentation.
</p>
</dd>
</dl>
<dl>
<dt>8.1</dt>
<dd>
<p>
Run time support programs should live in subdirectories of
<code>/usr/lib/</code> or <code>/usr/share</code>, and preferably the shared
lib is named the same as the package name (to avoid name collisions).
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
It is recommended that HTTP servers provide an alias /images to allow packages
to share image files with the web server
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.6.1.0">2.21 Version 3.6.1.0</h2>

<p>
Released Aug 2003.
</p>
<dl>
<dt>3.10.1</dt>
<dd>
<p>
Prompting the user should be done using debconf.  Non debconf user prompts are
now deprecated.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.6.0.0">2.22 Version 3.6.0</h2>

<p>
Released Jul 2003.
</p>
<dl>
<dt></dt>
<dd>
<p>
Restructuring causing shifts in section numbers and bumping of the minor
version number:
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Many packaging manual appendices that were integrated into policy sections are
now empty, and replaced with links to the Policy.  In particular, the
appendices that included the list of control fields were updated (new fields
like Closes, Changed-By were added) and the list of fields for each of control,
.changes and .dsc files is now in Policy, and they're marked mandatory,
recommended or optional based on the current practice and the behavior of the
deb-building tool-chain.
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Elimination of needlessly deep section levels, primarily in the chapter Debian
Archive, from which two new chapters were split out, Binary packages and Source
packages.  What remained was reordered properly, that is, some sects became
sects etc.
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Several sections that were redundant, crufty or simply not designed with any
sort of vision, were rearranged according to the formula that everything should
be either in the same place or properly interlinked.  Some things remained
split up between different chapters when they talked about different aspects of
files: their content, their syntax, and their placement in the file system.  In
particular, see the new sections about changelog files.
</p>
</dd>
</dl>
<dl>
<dt>menu policy</dt>
<dd>
<p>
Added Games/Simulation and Apps/Education to menu sub-policy
</p>
</dd>
</dl>
<dl>
<dt>C.2.2</dt>
<dd>
<p>
Debian changelogs should be UTF-8 encoded.
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
shared libraries must be linked against all libraries that they use symbols
from in the same way that binaries are.
</p>
</dd>
</dl>
<dl>
<dt>7.6</dt>
<dd>
<p>
build-depends-indep need not be satisfied during clean target.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.10.0">2.23 Version 3.5.10</h2>

<p>
Released May 2003.
</p>
<dl>
<dt>11.8.3</dt>
<dd>
<p>
packages providing the x-terminal-emulator virtual package ought to ensure that
they interpret the command line exactly like xterm does.
</p>
</dd>
</dl>
<dl>
<dt>11.8.4</dt>
<dd>
<p>
Window managers compliant with the Window Manager Specification Project may add
40 points for ranking in the alternatives
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.9.0">2.24 Version 3.5.9.0</h2>

<p>
Released Mar 2003.
</p>
<dl>
<dt>3.4.2</dt>
<dd>
<p>
The section describing the Description: package field once again has full
details of the long description format.
</p>
</dd>
</dl>
<dl>
<dt>4.2</dt>
<dd>
<p>
Clarified that if a package has non-build-essential build-dependencies, it
should have them listed in the Build-Depends and related fields (i.e.  it's not
merely optional).
</p>
</dd>
</dl>
<dl>
<dt>9.3.2</dt>
<dd>
<p>
When asked to restart a service that isn't already running, the init script
should start the service.
</p>
</dd>
</dl>
<dl>
<dt>12.6</dt>
<dd>
<p>
If the purpose of a package is to provide examples, then the example files can
be installed into <code>/usr/share/doc/package</code> (rather than
<code>/usr/share/doc/package/examples</code>).
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.8.0">2.25 Version 3.5.8.0</h2>

<p>
Released Nov 2002.
</p>
<dl>
<dt>12.7</dt>
<dd>
<p>
It is no longer necessary to keep a log of changes to the upstream sources in
the copyright file.  Instead, all such changes should be documented in the
changelog file.
</p>
</dd>
</dl>
<dl>
<dt>7.6</dt>
<dd>
<p>
<var>Build-Depends</var>, <var>Build-Conflicts</var>,
<var>Build-Depends-Indep</var>, and <var>Build-Conflicts-Indep</var> must also
be satisfied when the clean target is called.
</p>
</dd>
</dl>
<dl>
<dt>menu policy</dt>
<dd>
<p>
A new Apps/Science menu section is available
</p>
</dd>
</dl>
<dl>
<dt>debconf policy</dt>
<dd>
<p>
debconf specification cleared up, various changes.
</p>
</dd>
</dl>
<dl>
<dt>12.1</dt>
<dd>
<p>
It is no longer recommended to create symlinks from nonexistent manual pages to
undocumented(7).  Missing manual pages for programs are still a bug.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.7.0">2.26 Version 3.5.7.0</h2>

<p>
Released Aug 2002.
</p>
<dl>
<dt></dt>
<dd>
<p>
Packages no longer have to ask permission to call MAKEDEV in postinst, merely
notifying the user ought to be enough.
</p>
</dd>
</dl>
<dl>
<dt>2.2.4</dt>
<dd>
<p>
cryptographic software may now be included in the main archive.
</p>
</dd>
</dl>
<dl>
<dt>3.9</dt>
<dd>
<p>
task packages are no longer permitted; tasks are now created by a special
Tasks: field in the control file.
</p>
</dd>
</dl>
<dl>
<dt>11.8.4</dt>
<dd>
<p>
window managers that support netwm can now add 20 points when they add
themselves as an alternative for <code>/usr/bin/x-window-manager</code>
</p>
</dd>
</dl>
<dl>
<dt>10.1</dt>
<dd>
<p>
The default compilation options have now changed, one should provide debugging
symbols in all cases, and optionally step back optimization to -O0, depending
on the DEB_BUILD_OPTIONS environment variable.
</p>
</dd>
</dl>
<dl>
<dt>7.6, 4.8</dt>
<dd>
<p>
Added mention of build-arch, build-indep, etc, in describing the relationships
with `Build-Depends', `Build-Conflicts', `Build-Depends-Indep', and
`Build-Conflicts-Indep'.  May need to review the new rules.
</p>
</dd>
</dl>
<dl>
<dt>8</dt>
<dd>
<p>
Changed rules on how, and when, to invoke ldconfig in maintainer scripts.  Long
rationale.
</p>
</dd>
</dl>

<p>
<em>Added the last note in 3.5.6 upgrading checklist item regarding build
rules, please see below</em>
</p>

<hr>

<h2 id="s-3.5.6.0">2.27 Version 3.5.6.0</h2>

<p>
Released Jul 2001.
</p>
<dl>
<dt>2.5</dt>
<dd>
<p>
Emacs and TeX are no longer mandated by policy to be priority standard packages
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
Programs that access docs need to do so via <code>/usr/share/doc</code>, and
not via <code>/usr/doc/</code> as was the policy previously
</p>
</dd>
</dl>
<dl>
<dt>12.3</dt>
<dd>
<p>
Putting documentation in <code>/usr/doc</code> versus
<code>/usr/share/doc</code> is now a ``serious'' policy violation.
</p>
</dd>
</dl>
<dl>
<dt>11.5</dt>
<dd>
<p>
For web servers, one should not provide non-local access to the
<code>/usr/share/doc</code> hierarchy.  If one can't provide access controls
for the http://localhost/doc/ directory, then it is preferred that one ask
permission to expose that information during the install.
</p>
</dd>
</dl>
<dl>
<dt>7</dt>
<dd>
<p>
There are new rules for build-indep/build-arch targets and there is a new
Build-Depend-Indep semantic.
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.5.0">2.28 Version 3.5.5.0</h2>

<p>
Released May 2001.
</p>
<dl>
<dt>12.1</dt>
<dd>
<p>
Manpages should not rely on header information to have alternative manpage
names available; it should only use symlinks or .so pages to do this
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
<em>Clarified note in 3.5.3.0 upgrading checklist regarding examples and
templates: this refers only to those examples used by scripts; see section
10.7.3 for the whole story</em>
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Included a new section 10.9.1 describing the use of dpkg-statoverride; this
does not have the weight of policy
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Clarify Standards-Version: you don't need to rebuild your packages just to
change the Standards-Version!
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
Plugins are no longer bound by all the rules of shared libraries
</p>
</dd>
</dl>
<dl>
<dt>X Windows related things:</dt>
<dd>
<dl>
<dt>11.8.1</dt>
<dd>
<p>
Clarification of priority levels of X Window System related packages
</p>
</dd>
</dl>
<dl>
<dt>11.8.3</dt>
<dd>
<p>
Rules for defining x-terminal-emulator improved
</p>
</dd>
</dl>
<dl>
<dt>11.8.5</dt>
<dd>
<p>
X Font policy rewritten: you must read this if you provide fonts for the X
Window System
</p>
</dd>
</dl>
<dl>
<dt>11.8.6</dt>
<dd>
<p>
Packages must not ship <code>/usr/X11R6/lib/X11/app-defaults/</code>
</p>
</dd>
</dl>
<dl>
<dt>11.8.7</dt>
<dd>
<p>
X-related packages should usually use the regular FHS locations; imake-using
packages are exempted from this
</p>
</dd>
</dl>
<dl>
<dt>11.8.8</dt>
<dd>
<p>
OpenMotif linked binaries have the same rules as OSF/Motif-linked ones
</p>
</dd>
</dl>
</dd>
</dl>

<hr>

<h2 id="s-3.5.4.0">2.29 Version 3.5.4.0</h2>

<p>
Released Apr 2001.
</p>
<dl>
<dt>11.6</dt>
<dd>
<p>
The system-wide mail directory is now /var/mail, no longer /var/spool/mail.
Any packages accessing the mail spool should access it via /var/mail and
include a suitable Depends field;
</p>
</dd>
</dl>
<dl>
<dt>11.9; perl-policy</dt>
<dd>
<p>
The perl policy is now part of Debian policy proper.  Perl programs and modules
should follow the current Perl policy
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.3.0">2.30 Version 3.5.3.0</h2>

<p>
Released Apr 2001
</p>
<dl>
<dt>7.1</dt>
<dd>
<p>
Build-Depends arch syntax has been changed to be less ambiguous.  This should
not affect any current packages
</p>
</dd>
</dl>
<dl>
<dt>10.7.3</dt>
<dd>
<p>
Examples and templates files for use by scripts should now live in
<code>/usr/share/&lt;package&gt;</code> or
<code>/usr/lib/&lt;package&gt;</code>, with symbolic links from
<code>/usr/share/doc/&lt;package&gt;/examples</code> as needed
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.2.0">2.31 Version 3.5.2.0</h2>

<p>
Released Feb 2001.
</p>
<dl>
<dt>11.8.6</dt>
<dd>
<p>
X app-defaults directory has moved from
<code>/usr/X11R6/lib/X11/app-defaults</code> to
<code>/etc/X11/app-defaults</code>
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.1.0">2.32 Version 3.5.1.0</h2>

<p>
Released Feb 2001.
</p>
<dl>
<dt>8.1</dt>
<dd>
<p>
dpkg-shlibdeps now uses objdump, so shared libraries have to be run through
dpkg-shlibdeps as well as executables
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.5.0.0">2.33 Version 3.5.0.0</h2>

<p>
Released Jan 2001.
</p>
<dl>
<dt>11.8.5</dt>
<dd>
<p>
Font packages for the X Window System must now declare a dependency on xutils
(&gt;= 4.0.2)
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.2.1.1">2.34 Version 3.2.1.1</h2>

<p>
Released Jan 2001.
</p>
<dl>
<dt>9.3.2</dt>
<dd>
<p>
Daemon startup scripts in <code>/etc/init.d/</code> should not contain
modifiable parameters; these should be moved to a file in
<code>/etc/default/</code>
</p>
</dd>
</dl>
<dl>
<dt>12.3</dt>
<dd>
<p>
Files in <code>/usr/share/doc</code> must not be referenced by any program.  If
such files are needed, they must be placed in
<code>/usr/share/&lt;package&gt;/</code>, and symbolic links created as
required in <code>/usr/share/doc/&lt;package&gt;/</code>
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Much of the packaging manual has now been imported into the policy document
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.2.1.0">2.35 Version 3.2.1.0</h2>

<p>
Released Aug 00.
</p>
<dl>
<dt>11.8.1</dt>
<dd>
<p>
A package of priority standard or higher may provide two binaries, one compiled
with support for the X Window System, and the other without
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.2.0.0">2.36 Version 3.2.0.0</h2>

<p>
Released Aug 00.
</p>
<dl>
<dt>10.1</dt>
<dd>
<p>
By default executables should not be built with the debugging option -g.
Instead, it is recommended to support building the package with debugging
information optionally.
</p>
</dd>
</dl>
<dl>
<dt>12.8</dt>
<dd>
<p>
Policy for packages where the upstream uses HTML changelog files has been
expanded.  In short, a plain text changelog file should always be generated for
the upstream changes
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Please note that the new release of the X window system (3.2) shall probably
need sweeping changes in policy
</p>
</dd>
</dl>
<dl>
<dt></dt>
<dd>
<p>
Policy for packages providing the following X-based features has been codified:
</p>
<dl>
<dt>11.8.2</dt>
<dd>
<p>
X server (virtual package xserver)
</p>
</dd>
</dl>
<dl>
<dt>11.8.3</dt>
<dd>
<p>
X terminal emulator (virtual package x-terminal-emulator)
</p>
</dd>
</dl>
<dl>
<dt>11.8.4</dt>
<dd>
<p>
X window manager (virtual package x-window-manager, and
<code>/usr/bin/x-window-manager</code> alternative, with priority calculation
guidelines)
</p>
</dd>
</dl>
<dl>
<dt>12.8.5</dt>
<dd>
<p>
X fonts (this section has been written from scratch)
</p>
</dd>
</dl>
<dl>
<dt>11.8.6</dt>
<dd>
<p>
X application defaults
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>11.8.7</dt>
<dd>
<p>
Policy for packages using the X Window System and FHS issues has been
clarified;
</p>
</dd>
</dl>
<dl>
<dt>11.7.3</dt>
<dd>
<p>
No package may contain or make hard links to conffiles
</p>
</dd>
</dl>
<dl>
<dt>8</dt>
<dd>
<p>
Noted that newer dpkg versions do not require extreme care in always creating
the shared lib before the symlink, so the unpack order be correct
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.1.1.0">2.37 Version 3.1.1.0</h2>

<p>
Released Nov 1999.
</p>
<dl>
<dt>7.1</dt>
<dd>
<p>
Correction to semantics of architecture lists in Build-Depends etc.  Should not
affect many packages
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.1.0.0">2.38 Version 3.1.0.0</h2>

<p>
Released Oct 1999.
</p>
<dl>
<dt>defunct</dt>
<dd>
<p>
<code>/usr/doc/&lt;package&gt;</code> has to be a symlink pointing to
<code>/usr/share/doc/&lt;package&gt;</code>, to be maintained by postinst and
prerm scripts.
</p>
</dd>
</dl>
<dl>
<dt>7.1, 7.6</dt>
<dd>
<p>
Introduced source dependencies (Build-Depends, etc.)
</p>
</dd>
</dl>
<dl>
<dt>9.3.4</dt>
<dd>
<p>
<code>/etc/rc.boot</code> has been deprecated in favour of
<code>/etc/rcS.d</code>.  (Packages should not be touching this directory, but
should use update-rc.d instead)
</p>
</dd>
</dl>
<dl>
<dt>9.3.3</dt>
<dd>
<p>
update-rc.d is now the <em>only</em> allowable way of accessing the
<code>/etc/rc?.d/[SK]??*</code> links.  Any scripts which manipulate them
directly must be changed to use update-rc.d instead.  (This is because the
file-rc package handles this information in an incompatible way.)
</p>
</dd>
</dl>
<dl>
<dt>12.7</dt>
<dd>
<p>
Architecture-specific examples go in
<code>/usr/lib/&lt;package&gt;/examples</code> with symlinks from
<code>/usr/share/doc/&lt;package&gt;/examples/*</code> or from
<code>/usr/share/doc/&lt;package&gt;/examples</code> itself
</p>
</dd>
</dl>
<dl>
<dt>9.1.1</dt>
<dd>
<p>
Updated FHS to a 2.1 draft; this reverts <code>/var/state</code> to
<code>/var/lib</code>
</p>
</dd>
</dl>
<dl>
<dt>9.7; mime-policy</dt>
<dd>
<p>
Added MIME sub-policy document
</p>
</dd>
</dl>
<dl>
<dt>12.4</dt>
<dd>
<p>
VISUAL is allowed as a (higher priority) alternative to EDITOR
</p>
</dd>
</dl>
<dl>
<dt>11.6</dt>
<dd>
<p>
Modified liblockfile description, which affects mailbox-accessing programs.
Please see the policy document for details
</p>
</dd>
</dl>
<dl>
<dt>12.7</dt>
<dd>
<p>
If a package provides a changelog in HTML format, a text-only version should
also be included.  (Such a version may be prepared using <code>lynx -dump
-nolist</code>.)
</p>
</dd>
</dl>
<dl>
<dt>3.2.1</dt>
<dd>
<p>
Description of how to handle version numbers based on dates added
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.0.1.0">2.39 Version 3.0.1.0</h2>

<p>
Released Jul 1999.
</p>
<dl>
<dt>10.2</dt>
<dd>
<p>
Added the clarification that the .la files are essential for the packages using
libtool's libltdl library, in which case the .la files must go in the run-time
library package
</p>
</dd>
</dl>

<hr>

<h2 id="s-3.0.0.0">2.40 Version 3.0.0.0</h2>

<p>
Released Jun 1999.
</p>
<dl>
<dt>9.1</dt>
<dd>
<p>
Debian formally moves from the FSSTND to the FHS.  This is a major change, and
the implications of this move are probably not all known.
</p>
</dd>
</dl>
<dl>
<dt>4.1</dt>
<dd>
<p>
Only 3 digits of the Standards version need be included in control files,
though all four digits are still permitted.
</p>
</dd>
</dl>
<dl>
<dt>12.6</dt>
<dd>
<p>
The location of the GPL has changed to <code>/usr/share/common-licenses</code>.
This may require changing the copyright files to point to the correct location
of the GPL and other major licenses
</p>
</dd>
</dl>
<dl>
<dt>10.2</dt>
<dd>
<p>
Packages that use libtool to create shared libraries must include the .la files
in the -dev packages
</p>
</dd>
</dl>
<dl>
<dt>10.8</dt>
<dd>
<p>
Use logrotate to rotate log files
</p>
</dd>
</dl>
<dl>
<dt>now 11.8</dt>
<dd>
<p>
section 5.8 has been rewritten (Programs for the X Window System)
</p>
</dd>
</dl>
<dl>
<dt>9.6; menu-policy</dt>
<dd>
<p>
There is now an associated menu policy, in a separate document, that carries
the full weight of Debian policy
</p>
</dd>
</dl>
<dl>
<dt>11.3</dt>
<dd>
<p>
Programs which need to modify the files <code>/var/run/utmp</code>,
<code>/var/log/wtmp</code> and <code>/var/log/lastlog</code> must be installed
setgid utmp
</p>
</dd>
</dl>

<p>
<em>Please note that section numbers below this point may not be up to
date</em>
</p>

<hr>

<h2 id="s-2.5.0.0">2.41 Version 2.5.0.0</h2>

<p>
Released Oct 1998.  Policy Manual:
</p>
<ul>
<li>
<p>
Rearranged the manual to create a new Section 4, Files
</p>
<ul>
<li>
<p>
Section 3.3 (&quot;Files&quot;) was moved to Section 4.  The Sections that were
Section 4 and Section 5 were moved down to become Section 5 and Section 6.
</p>
</li>
</ul>
<ul>
<li>
<p>
What was Section 5.5 (&quot;Log files&quot;) is now a subsection of the new
Section 4 (&quot;Files&quot;), becoming section 4.8, placed after
&quot;Configuration files&quot;, moving the Section 4.8 (&quot;Permissions and
owners&quot;) to Section 4.9.  All subsections of the old Section 5 after 5.5
were moved down to fill in the number gap.
</p>
</li>
</ul>
</li>
</ul>
<ul>
<li>
<p>
Modified the section about changelog files to accommodate upstream changelogs
which were formatted as HTML.  These upstream changelog files should now be
accessible as <code>/usr/doc/package/changelog.html.gz</code>
</p>
</li>
</ul>
<ul>
<li>
<p>
Symlinks are permissible to link the real, or upstream, changelog name to the
Debian mandated name.
</p>
</li>
</ul>
<ul>
<li>
<p>
Clarified that HTML documentation should be present in some package, though not
necessarily the main binary package.
</p>
</li>
</ul>
<ul>
<li>
<p>
Corrected all references to the location of the copyright files.  The correct
location is <code>/usr/doc/package/copyright</code>
</p>
</li>
</ul>
<ul>
<li>
<p>
Ratified the architecture specification strings to cater to the HURD.
</p>
</li>
</ul>

<hr>

<h2 id="s-2.4.1.0">2.42 Version 2.4.1.0</h2>

<p>
Released Apr 1998.
</p>

<hr>

<h3 id="s2.42.1">2.42.1 Policy Manual:</h3>
<dl>
<dt>Updated section 3.3.5 Symbolic links:</dt>
<dd>
<p>
symbolic links within a toplevel directory should be relative, symbolic links
between toplevel directories should be absolute (cf., Policy Weekly Issue#6,
topic 2)
</p>
</dd>
</dl>
<dl>
<dt>Updated section 4.9 Games:</dt>
<dd>
<p>
manpages for games should be installed in <code>/usr/man/man6</code> (cf.,
Policy Weekly Issue#6, topic 3)
</p>
</dd>
</dl>

<hr>

<h3 id="s2.42.2">2.42.2 Packaging Manual:</h3>
<ul>
<li>
<p>
Updated prefix of chapter 12, Shared Libraries: ldconfig must be called in the
postinst script if the package installs shared libraries (cf., Policy Weekly
Issue #6, fixes:bug#20515)
</p>
</li>
</ul>

<hr>

<h2 id="s-2.4.0.0">2.43 Version 2.4.0.0</h2>

<p>
Released Jan 1998
</p>
<dl>
<dt>Updated section 3.3.4 Scripts:</dt>
<dd>
<ul>
<li>
<p>
/bin/sh may be any POSIX compatible shell
</p>
</li>
</ul>
<ul>
<li>
<p>
scripts including bashisms have to specify <code>/bin/bash</code> as
interpreter
</p>
</li>
</ul>
<ul>
<li>
<p>
scripts which create files in world-writable directories (e.g., in
<code>/tmp</code>) should use tempfile or mktemp for creating the directory
</p>
</li>
</ul>
</dd>
</dl>
<dl>
<dt>Updated section 3.3.5 Symbolic Links:</dt>
<dd>
<p>
symbolic links referencing compressed files must have the same file extension
as the referenced file
</p>
</dd>
</dl>
<dl>
<dt>Updated section 3.3.6 Device files:</dt>
<dd>
<p>
<code>/dev/tty*</code> serial devices should be used instead of
<code>/dev/cu*</code>
</p>
</dd>
</dl>
<dl>
<dt>Updated section 3.4.2 Writing the scripts in <code>/etc/init.d</code>:</dt>
<dd>
<ul>
<li>
<p>
all <code>/etc/init.d</code> scripts have to provide the following options:
start, stop, restart, force-reload
</p>
</li>
</ul>
<ul>
<li>
<p>
the reload option is optional and must never stop and restart the service
</p>
</li>
</ul>
</dd>
</dl>
<dl>
<dt>Updated section 3.5 Cron jobs:</dt>
<dd>
<p>
cron jobs that need to be executed more often than daily should be installed
into <code>/etc/cron.d</code>
</p>
</dd>
</dl>
<dl>
<dt>Updated section 3.7 Menus:</dt>
<dd>
<p>
removed section about how to register HTML docs to `menu' (the corresponding
section in 4.4, Web servers and applications, has been removed in policy
2.2.0.0 already, so this one was obsolete)
</p>
</dd>
</dl>
<dl>
<dt>New section 3.8 Keyboard configuration:</dt>
<dd>
<p>
details about how the backspace and delete keys should be handled
</p>
</dd>
</dl>
<dl>
<dt>New section 3.9 Environment variables:</dt>
<dd>
<p>
no program must depend on environment variables to get a reasonable default
configuration
</p>
</dd>
</dl>
<dl>
<dt>New section 4.6 News system configuration:</dt>
<dd>
<p>
<code>/etc/news/organization</code> and <code>/etc/news/server</code> should be
supported by all news servers and clients
</p>
</dd>
</dl>
<dl>
<dt>Updated section 4.7 Programs for the X Window System:</dt>
<dd>
<ul>
<li>
<p>
programs requiring a non-free Motif library should be provided as foo-smotif
and foo-dmotif package
</p>
</li>
</ul>
<ul>
<li>
<p>
if lesstif works reliably for such program, it should be linked against lesstif
and not against a non-free Motif library
</p>
</li>
</ul>
</dd>
</dl>
<dl>
<dt>Updated section 4.9 Games:</dt>
<dd>
<p>
games for X Windows have to be installed in <code>/usr/games</code>, just as
non-X games
</p>
</dd>
</dl>

<hr>

<h2 id="s-2.3.0.0">2.44 Version 2.3.0.1, 2.3.0.0</h2>

<p>
Released Sep 1997.
</p>
<ul>
<li>
<p>
new section `4.2 Daemons' including rules for <code>/etc/services</code>,
<code>/etc/protocols</code>, <code>/etc/rpc</code>, and
<code>/etc/inetd.conf</code>
</p>
</li>
</ul>
<ul>
<li>
<p>
updated section about `Configuration files': packages may not touch other
packages' configuration files
</p>
</li>
</ul>
<ul>
<li>
<p>
MUAs and MTAs have to use liblockfile
</p>
</li>
</ul>

<hr>

<h2 id="s-2.2.0.0">2.45 Version 2.2.0.0</h2>

<p>
Released July 1997.
</p>
<ul>
<li>
<p>
added section 4.1 `Architecture specification strings': use &lt;arch&gt;-linux
where &lt;arch&gt; is one of the following: i386, alpha, arm, m68k, powerpc,
sparc.
</p>
</li>
</ul>
<ul>
<li>
<p>
detailed rules for <code>/usr/local</code>
</p>
</li>
</ul>
<ul>
<li>
<p>
user ID's
</p>
</li>
</ul>
<ul>
<li>
<p>
editor/pager policy
</p>
</li>
</ul>
<ul>
<li>
<p>
cron jobs
</p>
</li>
</ul>
<ul>
<li>
<p>
device files
</p>
</li>
</ul>
<ul>
<li>
<p>
don't install shared libraries as executable
</p>
</li>
</ul>
<ul>
<li>
<p>
app-defaults files may not be conffiles
</p>
</li>
</ul>

<hr>

<h2 id="s-2.1.3.0">2.46 Version 2.1.3.2, 2.1.3.1, 2.1.3.0</h2>

<p>
Released Mar 1997.
</p>
<ul>
<li>
<p>
two programs with different functionality must not have the same name
</p>
</li>
</ul>
<ul>
<li>
<p>
&quot;Webstandard 3.0&quot;
</p>
</li>
</ul>
<ul>
<li>
<p>
&quot;Standard for Console Messages&quot;
</p>
</li>
</ul>
<ul>
<li>
<p>
Libraries should be compiled with `-D_REENTRANT'
</p>
</li>
</ul>
<ul>
<li>
<p>
Libraries should be stripped with <code>strip --strip-unneeded</code>
</p>
</li>
</ul>

<hr>

<h2 id="s-2.1.2.0">2.47 Version 2.1.2.2, 2.1.2.1, 2.1.2.0</h2>

<p>
Released Nov 1996.
</p>
<ul>
<li>
<p>
Some changes WRT shared libraries
</p>
</li>
</ul>

<hr>

<h2 id="s-2.1.1.0">2.48 Version 2.1.1.0</h2>

<p>
Released Sep 1996.
</p>
<ul>
<li>
<p>
No hard links in source packages
</p>
</li>
</ul>
<ul>
<li>
<p>
Do not use <code>dpkg-divert</code> or <code>update-alternatives</code> without
consultation
</p>
</li>
</ul>
<ul>
<li>
<p>
Shared libraries must be installed stripped
</p>
</li>
</ul>

<hr>

<h2 id="s-2.1.0.0">2.49 Version 2.1.0.0</h2>

<p>
Released Aug 1996.
</p>
<ul>
<li>
<p>
Upstream changelog must be installed too
</p>
</li>
</ul>

<hr>

<p>
[ <a href="ch1.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ 2 ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<p>
Policy checklist for upgrading your packages
</p>

<address>
Bill Allombert <code><a href="mailto:ballombe@debian.org">mailto:ballombe@debian.org</a></code><br>
Josip Rodin<br>
Julian Gilbey<br>
Russ Allbery <code><a href="mailto:rra@debian.org">mailto:rra@debian.org</a></code><br>
Manoj Srivastava <code><a href="mailto:srivasta@debian.org">mailto:srivasta@debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

